WordPress.org

Ready to get started?Download WordPress

Forums

WordPress HTTPS (SSL)
[resolved] [Plugin: WordPress HTTPS] WordPress-HTTPS options are not showing in Settings and ... (12 posts)

  1. johnh44
    Member
    Posted 3 years ago #

    ... and the force-ssl checkbox is not showing on the Page/post edit page.

    I have uninstalled and reinstalled the plugin a few times and am stumped on how to get it set up and working.

    BTW, I followed someone else's suggestion for adding a custom field 'force-ssl' with value set to 1 (true) -- but that has no effect on the page; it still loads insecurely as HTTP.

    Please help!

    Thanks in advance.

  2. Mvied
    Member
    Plugin Author

    Posted 3 years ago #

    Hey John,

    If you're not getting the WordPress HTTPS option under the Settings menu and there's no Force SSL checkbox on the posts page, I really don't think the plugin is activated. There's a slight chance that another plugin, or the server the site is hosted on is the problem, but that's pretty unlikely. If you'd like, I can take a look at it for you. You can email me the details at mike[at]mvied[dot]com.

    Oh, and the custom field is actually force_ssl.

    Thanks!
    Mike

  3. johnh44
    Member
    Posted 3 years ago #

    Thanks, Mike.

    I figured it out ... pulled other plugins and reinstalled.

  4. Mvied
    Member
    Plugin Author

    Posted 3 years ago #

    Hey John,

    Was it one plugin in particular? If there is any kind of incompatibility with another plugin, I would like to know about it so that I can address it.

    Glad to to hear you got it working. :)

    Thanks,
    Mike

  5. rashfantasy
    Member
    Posted 3 years ago #

    I am facing the same problem, using WP 2.9.2 but HTTPS plugin not working, it is not showing settings options and check box on post page. can you help please?

    Thanks
    Rashmi

  6. Mvied
    Member
    Plugin Author

    Posted 3 years ago #

    Hey Rashmi,

    I still haven't seen this problem anywhere. Have you tried disabling other plugins that may be conflicting, and double checked that WordPress HTTPS is activated?

    If you still can't figure it out, if you give me an admin login, I can check it out for you. You can send it to mike[at]mvied[dot]com.

    Thanks,
    Mike

  7. valgorn
    Member
    Posted 3 years ago #

    I downloaded this plugin and had the same issue, where I couldn't access the setting options located at: "Settings -> WordPress HTTPS".

    After hours of trying to figure out what is going on, I found out that this plugin requires PHP 5. My web host defaults to PHP 4, but after adding a line of code in my .htaccess, I was able to finally see the settings.

  8. Mvied
    Member
    Plugin Author

    Posted 3 years ago #

    Thanks for that valgorn. I will work on PHP4 compatibility ASAP. The only reason I never have before is because the minimum for WP is PHP5, but in 3.1, they're adding support for PHP4 again, so I will too. :)

  9. valgorn
    Member
    Posted 3 years ago #

    Hi Mike, no problem. Thanks for all you do with this plugin!

    Btw, I added "AddType x-mapp-php5 .php" to my .htaccess. In case, someone else needs to know...

    Thanks!

  10. ChiliPepperWeb
    Member
    Posted 3 years ago #

    I'm running into half of this problem - the plugin is installed and activated and the settings are accessible, but the "Force SSL" checkbox is not appearing where it's supposed to. The site is running WordPress 2.8.4 and the server has PHP5. There are a number of other plugins installed, but since this is not a site I built but rather am consulting on, I'd rather not try to deactivate a bunch of stuff I didn't set up since I don't know what the consequences might be. Any suggestions would be welcome.

  11. ChiliPepperWeb
    Member
    Posted 3 years ago #

    Not encouraging that no thread has been replied to on here in more than a month. I've tried deactivating various plugins and reinstalling with no success, the "Force SSL" checkbox still refuses to appear anywhere no matter what I do.

  12. Mvied
    Member
    Plugin Author

    Posted 2 years ago #

    Hey ChiliPepperWeb,

    Previous to WordPress HTTPS 1.9, the checkbox only showed up on versions greater than 2.8. In 1.9, the checkbox will show up on WordPress versions 2.7 and 2.8.

    Thanks,
    Mike

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic